package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFHU7 extends MwfRequest<MWFHU7, MWFHU7Response> {

    @Parameter(name = "KreditniObratUcel")
    MWFHU7 kreditniObratUcel(String kreditniObratUcel);
    @Parameter(name = "PocetSplatek")
    MWFHU7 pocetSplatek(Long pocetSplatek);
    @Parameter(name = "PojisteniDoKreditnihoObratu")
    MWFHU7 pojisteniDoKreditnihoObratu(String pojisteniDoKreditnihoObratu);
    @Parameter(name = "TypSplaceni")
    MWFHU7 typSplaceni(String typSplaceni);
    @Parameter(name = "VyseUveru")
    MWFHU7 vyseUveru(Long vyseUveru);
    @Parameter(name = "Zadost_KEY")
    MWFHU7 zadostKEY(Long zadostKEY);
}
